#____________________ f[^ ____________________ 
dat_cru    <- cbind( c(0.736, 0.577), c(0.227, 0.323), c(0.037, 0.100) )
dat_ncep   <- cbind( c(0.552, 0.464), c(0.319, 0.370), c(0.129, 0.166) )
dat_HadGem <- cbind( c(0.540, 0.487), c(0.375, 0.380), c(0.085, 0.133) )
dat_Miroc  <- cbind( c(0.430, 0.408), c(0.441, 0.392), c(0.129, 0.200) )

#____________________ eݒ ____________________ 
#J[pbg
col_mono <- c("white", '#E8E8E8', '#9F9F9F')

# ̂̃f[^
titles <- c("Monthly VCE", "Annual VCE")

#____________________ foCXhCoJ ____________________ 
png('Fig3.png', width=2300, height=1150) 
par(mfrow = c(1,4)     )  #sEɕ
par(oma   = c(5,5,5,5) )  #EEEȄŗ]sŎw
par(ps    = 50         )  #|CgTCY
par(lwd   = 1.8        )  #̑
par(mar   = c(2,4,4,2) )  #X̐}̗](P:line)(ftHg:c(5,4,4,2)
par(mgp   = c(10,4,0)   )  #ftHgc(3, 1, 0)
                          #mgp[1]: 烉x܂ł̃}[WsŎw
                          #mgp[2]: ڐ܂ł̃}[WsŎw
                          #mgp[3]: 玲܂ł̃}[WsŎw

#____________________ Ot{ (CRU) ____________________ 
barplot(t(dat_cru)   , col=col_mono, space=0, names.arg=titles)
text(0.5, 0.200, pos=1, cex=1.0, "0.736") 
text(1.5, 0.200, pos=1, cex=1.0, "0.577") 
text(0.5, 0.800, pos=1, cex=1.0, "0.227") 
text(1.5, 0.800, pos=1, cex=1.0, "0.323") 
text(0.5, 0.997, pos=1, cex=1.0, "0.037") 
text(1.5, 0.980, pos=1, cex=1.0, "0.100") 

#____________________ WFh ____________________ 
rect(0.08, 0.51, 2.08, 0.28, col="white", border = "black", lwd=1)
text(0.40, 0.47, pos=4, cex=1.0, "Quantity Disagreement")
text(0.40, 0.40, pos=4, cex=1.0, "Allocation Disagreement")
text(0.40, 0.33, pos=4, cex=1.0, "Agreement")

rect(0.13, 0.49, 0.33, 0.45, col=col_mono[3], border="black", lwd=1)
rect(0.13, 0.42, 0.33, 0.38, col=col_mono[2], border="black", lwd=1)
rect(0.13, 0.35, 0.33, 0.31, col=col_mono[1], border="black", lwd=1)

#____________________ Ot{ (NCEP) ____________________ 
barplot(t(dat_ncep)  , col=col_mono, space=0, yaxt="n", names.arg=titles)
text(0.5, 0.200, pos=1, cex=1.0, "0.553")
text(1.5, 0.200, pos=1, cex=1.0, "0.464")
text(0.5, 0.700, pos=1, cex=1.0, "0.320")
text(1.5, 0.700, pos=1, cex=1.0, "0.370")
text(0.5, 0.950, pos=1, cex=1.0, "0.130")
text(1.5, 0.950, pos=1, cex=1.0, "0.166")

#____________________ Ot{ (Had2GEM) ____________________ 
barplot(t(dat_HadGem), col=col_mono, space=0, yaxt="n", names.arg=titles)
text(0.5, 0.200, pos=1, cex=1.0, "0.540")
text(1.5, 0.200, pos=1, cex=1.0, "0.487")
text(0.5, 0.700, pos=1, cex=1.0, "0.375")
text(1.5, 0.700, pos=1, cex=1.0, "0.380")
text(0.5, 0.975, pos=1, cex=1.0, "0.086")
text(1.5, 0.950, pos=1, cex=1.0, "0.133")

#____________________ Ot{ (Miroc-ESM) ____________________ 
barplot(t(dat_Miroc) , col=col_mono, space=0, yaxt="n", names.arg=titles)
text(0.5, 0.200, pos=1, cex=1.0, "0.430")
text(1.5, 0.200, pos=1, cex=1.0, "0.408")
text(0.5, 0.770, pos=1, cex=1.0, "0.441")
text(1.5, 0.770, pos=1, cex=1.0, "0.392")
text(0.5, 0.950, pos=1, cex=1.0, "0.129 ")
text(1.5, 0.950, pos=1, cex=1.0, "0.200")

#____________________ [̃x ____________________ 
mtext(side=3, line=0.5, outer=T, text='CRU'       , at=0.13, cex=1.0)
mtext(side=3, line=0.5, outer=T, text='NCEP'      , at=0.38, cex=1.0)
mtext(side=3, line=0.5, outer=T, text='Had2GEM-ES', at=0.63, cex=1.0)
mtext(side=3, line=0.5, outer=T, text='MIROC-ESM' , at=0.88, cex=1.0)

#____________________ foCXhCo ____________________ 
dev.off()
